Debian Bug report logs - #663465
python3-nose: exception in test generator --> TypeError: function takes exactly 5 arguments (1 given)

version graph

Package: python3-nose; Maintainer for python3-nose is Gustavo Noronha Silva <kov@debian.org>; Source for python3-nose is src:nose.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sun, 11 Mar 2012 13:45:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version nose/1.1.2-2

Fixed in version nose/1.3.0-1

Done: Dmitry Shachnev <mitya57@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/nose-devs/nose/issues/513

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#663465; Package python3-nose. (Sun, 11 Mar 2012 13:45:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python3-nose: exception in test generator --> TypeError: function takes exactly 5 arguments (1 given)
Date: Sun, 11 Mar 2012 14:40:24 +0100
[Message part 1 (text/plain, inline)]
Package: python3-nose
Version: 1.1.2-2

Some exceptions in test generators make nosetests3 produce unhelpful 
traceback:

| $ nosetests3
| E
| ======================================================================
| ERROR: Failure: UnicodeEncodeError ('ascii' codec can't encode character '\xf1' in position 0: ordinal not in range(128))
| ----------------------------------------------------------------------
| Traceback (most recent call last):
|   File "/usr/lib/python3/dist-packages/nose/failure.py", line 37, in runTest
|     raise self.exc_class(self.exc_val).with_traceback(self.tb)
| TypeError: function takes exactly 5 arguments (1 given)
|
| ----------------------------------------------------------------------
| Ran 1 test in 0.004s
|
| FAILED (errors=1)


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python3-nose depends on:
ii  python3                3.2.2-1
ii  python3-pkg-resources  0.6.24-1
ii  python3.2              3.2.3~rc1-1

-- 
Jakub Wilk
[test.py (text/x-python, attachment)]

Set Bug forwarded-to-address to 'https://github.com/nose-devs/nose/issues/513'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 Apr 2012 13:48:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 21 Jan 2013 17:15:28 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from mitya57-guest@users.alioth.debian.org to control@bugs.debian.org. (Thu, 21 Feb 2013 14:57:08 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Thu, 18 Apr 2013 19:49:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 19:49:11 GMT) Full text and rfc822 format available.

Message #14 received at 663465-close@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 663465-close@bugs.debian.org
Subject: Bug#663465: fixed in nose 1.3.0-1
Date: Thu, 18 Apr 2013 19:47:35 +0000
Source: nose
Source-Version: 1.3.0-1

We believe that the bug you reported is fixed in the latest version of
nose, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663465@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Shachnev <mitya57@gmail.com> (supplier of updated nose package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 18 Apr 2013 18:24:11 +0400
Source: nose
Binary: python-nose-doc python-nose python3-nose
Architecture: source all
Version: 1.3.0-1
Distribution: experimental
Urgency: low
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Changed-By: Dmitry Shachnev <mitya57@gmail.com>
Description: 
 python-nose - test discovery and running of Python's unittest
 python-nose-doc - documentation for discovery and running for Python's unittest
 python3-nose - test discovery and running for Python3 unittest
Closes: 663465 675554
Changes: 
 nose (1.3.0-1) experimental; urgency=low
 .
   [ Dmitry Shachnev ]
   * Team upload.
   * New upstream release (closes: #675554).
     - Fixes exceptions in tests generator (closes: #663465, thanks to
       Jakub Wilk for the bug report).
     - Provides __main__.py, which allows using nose as "python3 -m nose"
       (thanks to Stefano Rivera for the patch).
   * Build-depend on python-coverage (for the test suite).
   * Bump Standards-Version to 3.9.4, no changes needed.
   * Disable some unstable tests (in multiprocessing module) to make the
     package not FTBFS.
   * Run the tests for Python 3.x during build.
   * debian/patches/manpage-formatting: dropped, the issue is properly
     fixed upstream.
   * debian/rules: disable HTTP traffic during build.
   * Refresh other patches.
   * Update debian/clean.
 .
   [ Charlie Smotherman ]
   * Removed myself from uploaders in debian/control
Checksums-Sha1: 
 f680588908122c7286a77fc92a3ff7fafce3a8fe 2213 nose_1.3.0-1.dsc
 bd1bb889e421948ca57595e9e8d52246cb308294 404909 nose_1.3.0.orig.tar.gz
 174e6ef166961c96b88f5ef272f0813372da8a98 7284 nose_1.3.0-1.debian.tar.gz
 1ce8a28ed41000786d32c5c1dd69b205e5759702 248132 python-nose-doc_1.3.0-1_all.deb
 254fa63a6887beedfb99643730d54e99f70bb51d 157568 python-nose_1.3.0-1_all.deb
 12eab890837e77c4bb95f012ceb87c4135fe9acb 157872 python3-nose_1.3.0-1_all.deb
Checksums-Sha256: 
 c189a1e068dcfc12c3568a58175556fa798dcb0719625d219a112804328a434b 2213 nose_1.3.0-1.dsc
 4e63cc3325de75cf98ffad40be72fa69753de824695173178f74c034fe4f5260 404909 nose_1.3.0.orig.tar.gz
 404140969c40b3fdf3babbaf63cb18364cfd5f24e433d26a88129c6ca74173f2 7284 nose_1.3.0-1.debian.tar.gz
 bb498f474d149db133d1032e2c9d03c4e3e68d03dfe594390effdb30677eb033 248132 python-nose-doc_1.3.0-1_all.deb
 c173cb847cf77920b3b0135b1ae875a8e81a5ca7d39df5b79f7b2df37defc08b 157568 python-nose_1.3.0-1_all.deb
 9d76da0b33a5e4fa7b30adc7ee608fc2a8734415b8d90ff143424136696aff1d 157872 python3-nose_1.3.0-1_all.deb
Files: 
 66b09ba53f55bff434a2d3ec3f05c26e 2213 python optional nose_1.3.0-1.dsc
 95d6d32b9d6b029c3c65674bd9e7eabe 404909 python optional nose_1.3.0.orig.tar.gz
 b9589f1958b2525ae865587e11f237d2 7284 python optional nose_1.3.0-1.debian.tar.gz
 b420dd781e5faca361fc40f3422d0d11 248132 doc optional python-nose-doc_1.3.0-1_all.deb
 a9becde5c8fc471c8b58e7c82653a4b4 157568 python optional python-nose_1.3.0-1_all.deb
 086c819bcbaaa627fd1e82c29371e4c9 157872 python optional python3-nose_1.3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRcAQTAAoJEACQ/CG1zRrMuFEP/js2M5zJ0P3ib5SkVCD1k+cs
3823o01cO5Lf3EDoe4wgNjoHHs7YmQL+A7IqoTPQ3oNl9USpkoM5ddE+k3wIHfyg
n5/eOtUMvoJ3qaRWUdzagRu2djXL23/RlYWbGSoqxLL9PLj6PjTeEKlHPS97EQrL
FyHSrQBw55SftapsWBUrV8gRYnzKm3pL/Z+sjlKXGCqOPHLh8fIiqAW68CrI9dov
IGd8LHYBSyDGvKy2fP4BhErRmqBoCezxkNHSvtMaDmkX6bXKWhaPudkMtxkQ4HQ/
oBm+PUvC0687LKZQc0UkAgA6dvCpnAO3F01HQVcSFu3IEUpZhSVq8cOUwzLmwtMj
eNgCzk/IWIO1HG1OIcqqZBUHKWcZwI9rSqMcfnoqNzWcUt/XSanLezapEqyqH5uY
fqFI+cSEhLypEO6jXcwwmLR1Grlqyxb2F1yVOK8UBqDwQgqu1Ogc0MnqOTAIhFsP
k1Slo52vJQDmCYPKUC3PlKp+CXXaRLQVSNuC3UjTW2gTUBZY+9HM6RQ7pMp6KLnx
S3sA2Au5mA2c3dmc/Gloa82Oq+Cupc2UHXHba1j6Y9WysoNC/gU/kRqi6KM2YjKo
45IX1wQkzLhkRULXWUBX+KM1ePLh3fgGVVv2r++go7X2XVTbA6OXsgkN1ttURIk9
ri/bdNzsLqjn72v+HXKl
=s5UR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:04:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.